
package de.ivu.elect.business.niederschrift.boundary;

import java.io.Serializable;

import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversation;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.niederschrift.entity.NiederschriftStatusAenderung;

@GroupedConversationScoped
@ConversationGroup(NiederschriftStatusAenderungItemConversationStore.class)
public class NiederschriftStatusAenderungItemConversationStore implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GroupedConversation conversation;

  private NiederschriftStatusAenderung entity;

  public NiederschriftStatusAenderungItemConversationStore() {
    super();
  }

  public NiederschriftStatusAenderung getEntity() {
    return entity;
  }

  public void setEntity(NiederschriftStatusAenderung entity) {
    this.entity = entity;
  }

  public void close() {
    conversation.close();
  }
}
